package alun.linkage;

import alun.util.StringFormatter;

/**
 This is a base class from with the linkage phenotype classes
 are derived.
 Currently only the numbered alleles type of format is supported.
*/
public class LinkagePhenotype
{
/**
 Sets the locus associated with this phenotype.
*/
	public void setLocus(LinkageLocus l)
	{
		this.l = l;
	}

/**
 Gets the locus associated with this phenotype.
*/
	public LinkageLocus getLocus()
	{
		return l;
	}

// Protected data.

	protected static final StringFormatter f = new StringFormatter();

// Private data.

	private LinkageLocus l = null;
}
