package alun.util;

/**
 Formats data as strings for neat output.
*/
public class StringFormatter
{
/**
 Returns the given int, x, as a String in s character places.
 Leading zeros are added as padding if necessary. If the
 number of places is not large enough the String will be 
 longer than s characters.
*/
	public static String format(int x, int s)
	{
		String t = (new Integer(x)).toString();
		for (int i=t.length(); i<s; i++)
			t = " "+t;
		return t;
	}

/**
 Returns a String representation of the given double to
 s decimal places.
*/

	public static String format(double p, int s)
	{
		double x = 1;
		for (int i=0; i<s; i++)
			x *= 10;

		return   " "+((int)(p*x))/x;
	}

	public static String format(String s, int x)
	{
		StringBuffer b = new StringBuffer();
		for (int i=x; i>s.length(); i--)
			b.append(" ");
		b.append(s);
		return b.toString();
	}

/**
 Test main.
*/
	public static void main(String[] args)
	{
		for (double x = 0.01; x <10; x += Math.PI/4)
			System.out.println(StringFormatter.format(100*x,2));
	}
}
